# 基于docker启动的rabbitmq服务

## 镜像

`quay.io/wandoubaba517/rabbitmq:3.13.4`

这个镜像是基于Docker Hub上的官方`rabbitmq:3.13.4`制作，安装并开启了了`rabbitmq_delayed_message_exchange`插件，开启了`rabbitmq_stomp`服务。

支持`amd64`架构和`arm64`架构。

## 配置默认用户名密码

在首次启动前修改`conf/conf.d/10-defaults.conf`文件中的`default_user`和`default_password`，会自动创建用户。

## 启动服务

```sh
./start
```

启动脚本内容如下：

```sh
docker run -d \
    -p 5672:5672 \
    -p 15672:15672 \
    -p 61613:61613 \
    -v ./data:/var/lib/rabbitmq/mnesia \
    -v ./conf/conf.d:/etc/rabbitmq/conf.d \
    --hostname rabbitmq \
    --name rabbitmq \
    quay.io/wandoubaba517/rabbitmq:3.13.4
```

## 停止服务

用`docker stop <container_name>`或者`docker rm -f <container_name>`即可。

## 数据持久化

将容器的`/var/lib/rabbitmq/mnesia`目录映射到`./data`目录。

## 默认端口

|端口|协议/服务说明|
|---|---|
|5672|amqp|
|15672|web管理后台|
|25672|集群通信|
|61613|stomp|
|15674|web-stomp|